Bug 486966 - flegita crashes each if started
flegita crashes each if started
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-scan (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 09:05 EST by Joachim Backes
Modified: 2009-07-10 09:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 09:52:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
flegita error report file (852.96 KB, text/plain)
2009-02-23 09:05 EST, Joachim Backes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 572940 None None None Never

  None (edit)
Description Joachim Backes 2009-02-23 09:05:58 EST
Created attachment 332932 [details]
flegita error report file

Description of problem:
Undependently from starting flegita by commandline or by menu: applications->Graphics->Scanner utility, flegita crashes.

Version-Release number of selected component (if applicable):
gnome-scan             i386        0.6.1-1.fc10

How reproducible:
Each time

Steps to Reproduce:
1.flegita
2.
3.
  
Actual results:
A lot of debug output, and a last message: 

** (flegita:6637): CRITICAL **: gnome_scan_plugin_get_child_nodes: assertion `GNOME_IS_SCAN_PLUGIN (plugin)' failed
797bc4c5-2e2c-c39f-61a63062-456b79d3 is dumped


Expected results:
document is scanned

Additional info:

Debug output:
--------------
** (flegita:6637): DEBUG: Initializing gnome-scan 0.6.1 for flegita (flegita)
** (flegita:6637): DEBUG: gsane-module.c:39: SANE version is 1.0.19
** (flegita:6637): DEBUG: Number of options ():
** (flegita:6637): DEBUG:  gint none (GParamInt), (null)
** (flegita:6637): DEBUG:  default = 45 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG:  === Device Canon CanoScan N1240U/LiDE30 (45 options) ===
** (flegita:6637): DEBUG: 

** (flegita:6637): DEBUG:  -- Group « Scan Mode » --
** (flegita:6637): DEBUG: Scan mode (mode):
** (flegita:6637): DEBUG:  gchararray none (GSParamEnumSpec), {"Lineart", "Gray", "Color"}
** (flegita:6637): DEBUG:  default = "Color" ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Bit depth (depth):
** (flegita:6637): DEBUG:  gint bit (GSParamEnumSpec), {8, 16}
** (flegita:6637): DEBUG:  default = 8 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Scan source (source):
** (flegita:6637): DEBUG:  gchararray none (GSParamEnumSpec), {"Normal", "Transparency", "Negative"}
** (flegita:6637): DEBUG:  default = "Normal" ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Scan resolution (resolution):
** (flegita:6637): DEBUG:  gint dpi (GSParamRangeSpec), [50;0;2400]
** (flegita:6637): DEBUG:  default = 50 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Preview (preview):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: 

** (flegita:6637): DEBUG:  -- Group « Geometry » --
** (flegita:6637): DEBUG: Top-left x (tl-x):
** (flegita:6637): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;215.000000]
** (flegita:6637): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Top-left y (tl-y):
** (flegita:6637): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;297.000000]
** (flegita:6637): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Bottom-right x (br-x):
** (flegita:6637): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;215.000000]
** (flegita:6637): DEBUG:  default = 103.000000 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Bottom-right y (br-y):
** (flegita:6637): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;297.000000]
** (flegita:6637): DEBUG:  default = 76.209991 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: 

** (flegita:6637): DEBUG:  -- Group « Enhancement » --
** (flegita:6637): DEBUG: Brightness (brightness):
** (flegita:6637): DEBUG:  gdouble percent (GSParamRangeSpec), [-100.000000;1.000000;100.000000]
** (flegita:6637): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Contrast (contrast):
** (flegita:6637): DEBUG:  gdouble percent (GSParamRangeSpec), [-100.000000;1.000000;100.000000]
** (flegita:6637): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Use custom gamma table (custom-gamma):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Image intensity (gamma-table):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:6637): DEBUG:  default = 0 ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Red intensity (red-gamma-table):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:6637): DEBUG:  default = 0 ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Green intensity (green-gamma-table):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:6637): DEBUG:  default = 0 ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Blue intensity (blue-gamma-table):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:6637): DEBUG:  default = 0 ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: 

** (flegita:6637): DEBUG:  -- Group « Device-Settings » --
** (flegita:6637): DEBUG: Lampswitch (lamp-switch):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Lampoff-time (lampoff-time):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [0;1;999]
** (flegita:6637): DEBUG:  default = 300 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Lamp off at exit (lamp-off-at-exit):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = TRUE ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Warmup-time (warmup-time):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;999]
** (flegita:6637): DEBUG:  default = 0 ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Lamp off during dark calibration (lamp-off-during-dcal):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Calibration data cache (calibration-cache):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Speedup sensor (speedup-switch):
** (flegita:6637): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:6637): DEBUG:  default = TRUE ; flags = {}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: // button : Calibrate (Performs calibration)
** (flegita:6637): DEBUG: 

** (flegita:6637): DEBUG:  -- Group « Analog frontend » --
** (flegita:6637): DEBUG: Red gain (red-gain):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Green gain (green-gain):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Blue gain (blue-gain):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Red offset (red-offset):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Green offset (green-offset):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Blue offset (blue-offset):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Red lamp off (redlamp-off):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Green lamp off (greenlamp-off):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: Blue lamp off (bluelamp-off):
** (flegita:6637): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:6637): DEBUG:  default = -1 ; flags = {writable}
** (flegita:6637): DEBUG: 
** (flegita:6637): DEBUG: 

** (flegita:6637): DEBUG:  -- Group « Buttons » --
** (flegita:6637): DEBUG: /!\ IGNORING BUTTON button 0 !
** (flegita:6637): DEBUG: /!\ IGNORING BUTTON button 1 !
** (flegita:6637): DEBUG: /!\ IGNORING BUTTON button 2 !
** (flegita:6637): DEBUG: /!\ IGNORING BUTTON button 3 !
** (flegita:6637): DEBUG: /!\ IGNORING BUTTON button 4 !
** (flegita:6637): DEBUG: meta_param_preview_get_params
** (flegita:6637): DEBUG: 


** (flegita:6637): CRITICAL **: gnome_scan_plugin_configure: assertion `GNOME_IS_SCAN_PLUGIN (plugin) && GNOME_IS_SCAN_SETTINGS (settings)' failed
Comment 1 Joachim Backes 2009-02-23 09:10:41 EST
I forgot to say: my scanner is a Canon Lide 30 USB scanner.
Comment 2 Deji Akingunola 2009-02-24 15:49:23 EST
Here is a response from the upstream maintainer (and software author);

'Hi,

Please provide more useful informations : gdb backtrace, listing, stacks, etc.'
Comment 3 Joachim Backes 2009-02-25 02:06:53 EST
I added two debug runs: The second debug info see below after the "-----------" line.

1. First clicking on Cancel lets flegita crash:

gdb flegita
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/bin/flegita 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fcc920 (LWP 3197)]
** (flegita:3197): DEBUG: Initializing gnome-scan 0.6.1 for flegita (flegita)
** (flegita:3197): DEBUG: gsane-module.c:39: SANE version is 1.0.19
[New Thread 0xb5cfbb90 (LWP 3206)]
[New Thread 0xb52fab90 (LWP 3207)]
[New Thread 0xb48f9b90 (LWP 3208)]
[New Thread 0xb3ef8b90 (LWP 3209)]
[Thread 0xb3ef8b90 (LWP 3209) exited]
[New Thread 0xb34cfb90 (LWP 3210)]
[New Thread 0xb3ef8b90 (LWP 3211)]
[New Thread 0xb2a99b90 (LWP 3212)]
[New Thread 0xb2098b90 (LWP 3213)]
[New Thread 0xb1697b90 (LWP 3214)]
[New Thread 0xb0c96b90 (LWP 3215)]
[New Thread 0xb0295b90 (LWP 3216)]
[New Thread 0xaf894b90 (LWP 3217)]
[Thread 0xb1697b90 (LWP 3214) exited]
[Thread 0xb2098b90 (LWP 3213) exited]
[Thread 0xb0c96b90 (LWP 3215) exited]
[Thread 0xb2a99b90 (LWP 3212) exited]
[Thread 0xb3ef8b90 (LWP 3211) exited]
[Thread 0xb34cfb90 (LWP 3210) exited]
[Thread 0xb52fab90 (LWP 3207) exited]
[Thread 0xb0295b90 (LWP 3216) exited]
[Thread 0xaf894b90 (LWP 3217) exited]
[New Thread 0xaf894b90 (LWP 3236)]
** (flegita:3197): DEBUG: Number of options ():
** (flegita:3197): DEBUG:  gint none (GParamInt), (null)
** (flegita:3197): DEBUG:  default = 45 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG:  === Device Canon CanoScan N1240U/LiDE30 (45 options) ===
** (flegita:3197): DEBUG: 

** (flegita:3197): DEBUG:  -- Group « Scan Mode » --
** (flegita:3197): DEBUG: Scan mode (mode):
** (flegita:3197): DEBUG:  gchararray none (GSParamEnumSpec), {"Lineart", "Gray", "Color"}
** (flegita:3197): DEBUG:  default = "Color" ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Bit depth (depth):
** (flegita:3197): DEBUG:  gint bit (GSParamEnumSpec), {8, 16}
** (flegita:3197): DEBUG:  default = 8 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Scan source (source):
** (flegita:3197): DEBUG:  gchararray none (GSParamEnumSpec), {"Normal", "Transparency", "Negative"}
** (flegita:3197): DEBUG:  default = "Normal" ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Scan resolution (resolution):
** (flegita:3197): DEBUG:  gint dpi (GSParamRangeSpec), [50;0;2400]
** (flegita:3197): DEBUG:  default = 50 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Preview (preview):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: 

** (flegita:3197): DEBUG:  -- Group « Geometry » --
** (flegita:3197): DEBUG: Top-left x (tl-x):
** (flegita:3197): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;215.000000]
** (flegita:3197): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Top-left y (tl-y):
** (flegita:3197): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;297.000000]
** (flegita:3197): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Bottom-right x (br-x):
** (flegita:3197): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;215.000000]
** (flegita:3197): DEBUG:  default = 103.000000 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Bottom-right y (br-y):
** (flegita:3197): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;297.000000]
** (flegita:3197): DEBUG:  default = 76.209991 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: 

** (flegita:3197): DEBUG:  -- Group « Enhancement » --
** (flegita:3197): DEBUG: Brightness (brightness):
** (flegita:3197): DEBUG:  gdouble percent (GSParamRangeSpec), [-100.000000;1.000000;100.000000]
** (flegita:3197): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Contrast (contrast):
** (flegita:3197): DEBUG:  gdouble percent (GSParamRangeSpec), [-100.000000;1.000000;100.000000]
** (flegita:3197): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Use custom gamma table (custom-gamma):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Image intensity (gamma-table):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3197): DEBUG:  default = 0 ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Red intensity (red-gamma-table):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3197): DEBUG:  default = 0 ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Green intensity (green-gamma-table):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3197): DEBUG:  default = 0 ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Blue intensity (blue-gamma-table):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3197): DEBUG:  default = 0 ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: 

** (flegita:3197): DEBUG:  -- Group « Device-Settings » --
** (flegita:3197): DEBUG: Lampswitch (lamp-switch):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Lampoff-time (lampoff-time):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [0;1;999]
** (flegita:3197): DEBUG:  default = 300 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Lamp off at exit (lamp-off-at-exit):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = TRUE ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Warmup-time (warmup-time):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;999]
** (flegita:3197): DEBUG:  default = 0 ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Lamp off during dark calibration (lamp-off-during-dcal):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Calibration data cache (calibration-cache):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Speedup sensor (speedup-switch):
** (flegita:3197): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3197): DEBUG:  default = TRUE ; flags = {}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: // button : Calibrate (Performs calibration)
** (flegita:3197): DEBUG: 

** (flegita:3197): DEBUG:  -- Group « Analog frontend » --
** (flegita:3197): DEBUG: Red gain (red-gain):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Green gain (green-gain):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Blue gain (blue-gain):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Red offset (red-offset):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Green offset (green-offset):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Blue offset (blue-offset):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Red lamp off (redlamp-off):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Green lamp off (greenlamp-off):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: Blue lamp off (bluelamp-off):
** (flegita:3197): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:3197): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3197): DEBUG: 
** (flegita:3197): DEBUG: 

** (flegita:3197): DEBUG:  -- Group « Buttons » --
** (flegita:3197): DEBUG: /!\ IGNORING BUTTON button 0 !
** (flegita:3197): DEBUG: /!\ IGNORING BUTTON button 1 !
** (flegita:3197): DEBUG: /!\ IGNORING BUTTON button 2 !
** (flegita:3197): DEBUG: /!\ IGNORING BUTTON button 3 !
** (flegita:3197): DEBUG: /!\ IGNORING BUTTON button 4 !
** (flegita:3197): DEBUG: meta_param_preview_get_params
** (flegita:3197): DEBUG: 

[Thread 0xaf894b90 (LWP 3236) exited]
[Thread 0xb48f9b90 (LWP 3208) exited]


Program received signal SIGSEGV, Segmentation fault.
0x001676fa in gnome_scan_module_unload (gmodule=0x8090a90)
    at gnome-scan-module.c:154
154		module->finalize (module);
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.16-1.fc10.i386 OpenEXR-libs-1.6.1-4.fc10.i386 SDL-1.2.13-6.fc10.i386 bug-buddy-2.24.2-1.fc10.i386 bzip2-libs-1.0.5-3.fc10.i386 cups-libs-1.3.9-6.fc10.i386 dbus-glib-0.76-3.fc10.i386 dbus-libs-1.2.4-2.fc10.i386 e2fsprogs-libs-1.41.3-2.fc10.i386 elfutils-libelf-0.140-1.fc10.i386 expat-2.0.1-5.i386 gamin-0.1.9-6.fc10.i386 gnutls-2.4.2-3.fc10.i386 gtk2-engines-2.16.1-1.fc10.i386 gvfs-1.0.3-4.fc10.i386 hplip-libs-2.8.12-5.fc10.i386 ilmbase-1.0.1-2.fc9.i386 keyutils-libs-1.2-3.fc9.i386 krb5-libs-1.6.3-16.fc10.i386 libX11-1.1.4-6.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libbeagle-0.3.5-1.fc9.i386 libcanberra-0.10-3.fc10.i386 libcanberra-gtk2-0.10-3.fc10.i386 libcap-2.10-2.fc10.i386 libcroco-0.6.1-5.fc9.i386 libexif-0.6.16-1.fc9.i386 libgcc-4.3.2-7.i386 libgcrypt-1.4.3-2.fc10.i386 libgpg-error-1.6-2.i386 libgphoto2-2.4.3-1.fc10.i386 libgsf-1.14.10-1.fc10.i386 libieee1284-0.2.11-3.fc9.i386 libjpeg-6b-43.fc10.i386 libogg-1.1.3-9.fc9.i386 libopenraw-0.0.5-1.fc9.i386 libpng-1.2.34-1.fc10.i386 librsvg2-2.22.3-1.fc10.i386 libsane-hpaio-2.8.12-5.fc10.i386 libselinux-2.0.73-1.fc10.i386 libstdc++-4.3.2-7.i386 libtasn1-1.5-1.fc10.i386 libtdb-1.1.1-26.fc10.i386 libtiff-3.8.2-11.fc10.i386 libtool-ltdl-1.5.26-4.fc10.i386 libusb-0.1.12-20.fc10.i386 libvorbis-1.2.0-5.fc10.i386 libxcb-1.1.91-5.fc10.i386 libxml2-2.7.3-1.fc10.i386 lm_sensors-3.0.2-1.fc10.i386 lua-5.1.4-1.fc10.i386 net-snmp-libs-5.4.2.1-3.fc10.i386 openssl-0.9.8g-12.fc10.i686 pixman-0.12.0-2.fc10.i386 sane-backends-libs-1.0.19-12.fc10.i386 zlib-1.2.3-18.fc9.i386
(gdb) tb
Breakpoint 1 at 0x1676fa: file gnome-scan-module.c, line 154.
(gdb) bt
#0  0x001676fa in gnome_scan_module_unload (gmodule=0x8090a90)
    at gnome-scan-module.c:154
#1  0x006bf781 in IA__g_type_module_unuse (module=0x8090a90)
    at gtypemodule.c:305
#2  0x00166e9b in gnome_scan_module_manager_unload_modules (manager=0x8077460)
    at gnome-scan-module-manager.c:225
#3  0x00168d91 in gnome_scan_exit () at gnome-scan-init.c:127
#4  0x0804a587 in main (argc=0, argv=0x60206002) at flegita.c:121

--------------------------------------------------------------------------

Second run with a performed scanning:

gdb flegita
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/bin/flegita 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fcc920 (LWP 3354)]
** (flegita:3354): DEBUG: Initializing gnome-scan 0.6.1 for flegita (flegita)
** (flegita:3354): DEBUG: gsane-module.c:39: SANE version is 1.0.19
[New Thread 0xb5cfbb90 (LWP 3363)]
[New Thread 0xb52fab90 (LWP 3364)]
[New Thread 0xb46ffb90 (LWP 3365)]
[New Thread 0xb3cfeb90 (LWP 3366)]
[Thread 0xb3cfeb90 (LWP 3366) exited]
[New Thread 0xb32fdb90 (LWP 3367)]
[New Thread 0xb3cfeb90 (LWP 3368)]
[New Thread 0xb28fcb90 (LWP 3369)]
[New Thread 0xb1efbb90 (LWP 3370)]
[New Thread 0xb14fab90 (LWP 3371)]
[New Thread 0xb0af9b90 (LWP 3372)]
[New Thread 0xb00f8b90 (LWP 3373)]
[New Thread 0xaf6f7b90 (LWP 3374)]
[Thread 0xb5cfbb90 (LWP 3363) exited]
[Thread 0xb28fcb90 (LWP 3369) exited]
[Thread 0xb3cfeb90 (LWP 3368) exited]
[Thread 0xb14fab90 (LWP 3371) exited]
[Thread 0xb1efbb90 (LWP 3370) exited]
[Thread 0xb00f8b90 (LWP 3373) exited]
[Thread 0xaf6f7b90 (LWP 3374) exited]
[Thread 0xb0af9b90 (LWP 3372) exited]
[Thread 0xb32fdb90 (LWP 3367) exited]
[New Thread 0xb32fdb90 (LWP 3393)]
** (flegita:3354): DEBUG: Number of options ():
** (flegita:3354): DEBUG:  gint none (GParamInt), (null)
** (flegita:3354): DEBUG:  default = 45 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG:  === Device Canon CanoScan N1240U/LiDE30 (45 options) ===
** (flegita:3354): DEBUG: 

** (flegita:3354): DEBUG:  -- Group « Scan Mode » --
** (flegita:3354): DEBUG: Scan mode (mode):
** (flegita:3354): DEBUG:  gchararray none (GSParamEnumSpec), {"Lineart", "Gray", "Color"}
** (flegita:3354): DEBUG:  default = "Color" ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Bit depth (depth):
** (flegita:3354): DEBUG:  gint bit (GSParamEnumSpec), {8, 16}
** (flegita:3354): DEBUG:  default = 8 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Scan source (source):
** (flegita:3354): DEBUG:  gchararray none (GSParamEnumSpec), {"Normal", "Transparency", "Negative"}
** (flegita:3354): DEBUG:  default = "Normal" ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Scan resolution (resolution):
** (flegita:3354): DEBUG:  gint dpi (GSParamRangeSpec), [50;0;2400]
** (flegita:3354): DEBUG:  default = 50 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Preview (preview):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: 

** (flegita:3354): DEBUG:  -- Group « Geometry » --
** (flegita:3354): DEBUG: Top-left x (tl-x):
** (flegita:3354): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;215.000000]
** (flegita:3354): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Top-left y (tl-y):
** (flegita:3354): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;297.000000]
** (flegita:3354): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Bottom-right x (br-x):
** (flegita:3354): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;215.000000]
** (flegita:3354): DEBUG:  default = 103.000000 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Bottom-right y (br-y):
** (flegita:3354): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;0.000000;297.000000]
** (flegita:3354): DEBUG:  default = 76.209991 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: 

** (flegita:3354): DEBUG:  -- Group « Enhancement » --
** (flegita:3354): DEBUG: Brightness (brightness):
** (flegita:3354): DEBUG:  gdouble percent (GSParamRangeSpec), [-100.000000;1.000000;100.000000]
** (flegita:3354): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Contrast (contrast):
** (flegita:3354): DEBUG:  gdouble percent (GSParamRangeSpec), [-100.000000;1.000000;100.000000]
** (flegita:3354): DEBUG:  default = 0.000000 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Use custom gamma table (custom-gamma):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Image intensity (gamma-table):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3354): DEBUG:  default = 0 ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Red intensity (red-gamma-table):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3354): DEBUG:  default = 0 ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Green intensity (green-gamma-table):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3354): DEBUG:  default = 0 ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Blue intensity (blue-gamma-table):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [0;0;255]
** (flegita:3354): DEBUG:  default = 0 ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: 

** (flegita:3354): DEBUG:  -- Group « Device-Settings » --
** (flegita:3354): DEBUG: Lampswitch (lamp-switch):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Lampoff-time (lampoff-time):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [0;1;999]
** (flegita:3354): DEBUG:  default = 300 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Lamp off at exit (lamp-off-at-exit):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = TRUE ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Warmup-time (warmup-time):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;999]
** (flegita:3354): DEBUG:  default = 0 ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Lamp off during dark calibration (lamp-off-during-dcal):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Calibration data cache (calibration-cache):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = FALSE ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Speedup sensor (speedup-switch):
** (flegita:3354): DEBUG:  gboolean none (GParamBoolean), (null)
** (flegita:3354): DEBUG:  default = TRUE ; flags = {}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: // button : Calibrate (Performs calibration)
** (flegita:3354): DEBUG: 

** (flegita:3354): DEBUG:  -- Group « Analog frontend » --
** (flegita:3354): DEBUG: Red gain (red-gain):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Green gain (green-gain):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Blue gain (blue-gain):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Red offset (red-offset):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Green offset (green-offset):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Blue offset (blue-offset):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;63]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Red lamp off (redlamp-off):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Green lamp off (greenlamp-off):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: Blue lamp off (bluelamp-off):
** (flegita:3354): DEBUG:  gint none (GSParamRangeSpec), [-1;1;16363]
** (flegita:3354): DEBUG:  default = -1 ; flags = {writable}
** (flegita:3354): DEBUG: 
** (flegita:3354): DEBUG: 

** (flegita:3354): DEBUG:  -- Group « Buttons » --
** (flegita:3354): DEBUG: /!\ IGNORING BUTTON button 0 !
** (flegita:3354): DEBUG: /!\ IGNORING BUTTON button 1 !
** (flegita:3354): DEBUG: /!\ IGNORING BUTTON button 2 !
** (flegita:3354): DEBUG: /!\ IGNORING BUTTON button 3 !
** (flegita:3354): DEBUG: /!\ IGNORING BUTTON button 4 !
** (flegita:3354): DEBUG: meta_param_preview_get_params
** (flegita:3354): DEBUG: 

[Thread 0xb32fdb90 (LWP 3393) exited]
[Thread 0xb46ffb90 (LWP 3365) exited]
** (flegita:3354): DEBUG: new preview plugin : GnomeScanPreviewPluginArea
** (flegita:3354): DEBUG: new preview plugin : GnomeScanPreviewPluginRotation
[Thread 0xb52fab90 (LWP 3364) exited]

(flegita:3354): GLib-GObject-CRITICAL **: g_value_get_enum: assertion `G_VALUE_HOLDS_ENUM (value)' failed
** (flegita:3354): DEBUG: setting 'br-x' to 76.000000
** (flegita:3354): DEBUG: setting 'br-y' to 103.000000
** (flegita:3354): DEBUG: setting 'resolution' to 100
** (flegita:3354): DEBUG: setting 'br-x' to 103.000000
** (flegita:3354): DEBUG: setting 'br-y' to 76.000000
[New Thread 0xb52fab90 (LWP 3394)]
** (flegita:3354): DEBUG: Connecting gegl:load-buffer to gegl:rotate
** (flegita:3354): DEBUG: Connecting gegl:rotate to gegl:stress
** (flegita:3354): DEBUG: Connecting gegl:stress to gegl:convert-format
** (flegita:3354): DEBUG: Connecting gegl:convert-format to gegl:png-save
Detaching after fork from child process 3404.
** (flegita:3354): DEBUG: gsane-scanner.c:378: buffer is 0x844aa10 in format RGB u8
** (flegita:3354): DEBUG: gsane-scanner.c:592: End of file reached
** (flegita:3354): DEBUG: flegita-sink.c:372: writing to /disk2/people/backes/xxx-2.png
** (flegita:3354): DEBUG: Connecting gegl:load-buffer to gegl:rotate
** (flegita:3354): DEBUG: Connecting gegl:rotate to gegl:stress
** (flegita:3354): DEBUG: Connecting gegl:stress to gegl:convert-format
** (flegita:3354): DEBUG: Connecting gegl:convert-format to gegl:png-save
[Thread 0xb52fab90 (LWP 3394) exited]
[New Thread 0xb46ffb90 (LWP 3405)]


Program received signal SIGSEGV, Segmentation fault.
0x001676fa in gnome_scan_module_unload (gmodule=0x8090ac0) at gnome-scan-module.c:154
154		module->finalize (module);
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.16-1.fc10.i386 OpenEXR-libs-1.6.1-4.fc10.i386 SDL-1.2.13-6.fc10.i386 bug-buddy-2.24.2-1.fc10.i386 bzip2-libs-1.0.5-3.fc10.i386 cups-libs-1.3.9-6.fc10.i386 dbus-glib-0.76-3.fc10.i386 dbus-libs-1.2.4-2.fc10.i386 e2fsprogs-libs-1.41.3-2.fc10.i386 elfutils-libelf-0.140-1.fc10.i386 expat-2.0.1-5.i386 gamin-0.1.9-6.fc10.i386 gnutls-2.4.2-3.fc10.i386 gtk2-engines-2.16.1-1.fc10.i386 gvfs-1.0.3-4.fc10.i386 hplip-libs-2.8.12-5.fc10.i386 ilmbase-1.0.1-2.fc9.i386 keyutils-libs-1.2-3.fc9.i386 krb5-libs-1.6.3-16.fc10.i386 libX11-1.1.4-6.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libbeagle-0.3.5-1.fc9.i386 libcanberra-0.10-3.fc10.i386 libcanberra-gtk2-0.10-3.fc10.i386 libcap-2.10-2.fc10.i386 libcroco-0.6.1-5.fc9.i386 libexif-0.6.16-1.fc9.i386 libgcc-4.3.2-7.i386 libgcrypt-1.4.3-2.fc10.i386 libgpg-error-1.6-2.i386 libgphoto2-2.4.3-1.fc10.i386 libgsf-1.14.10-1.fc10.i386 libieee1284-0.2.11-3.fc9.i386 libjpeg-6b-43.fc10.i386 libogg-1.1.3-9.fc9.i386 libopenraw-0.0.5-1.fc9.i386 libpng-1.2.34-1.fc10.i386 librsvg2-2.22.3-1.fc10.i386 libsane-hpaio-2.8.12-5.fc10.i386 libselinux-2.0.73-1.fc10.i386 libstdc++-4.3.2-7.i386 libtasn1-1.5-1.fc10.i386 libtdb-1.1.1-26.fc10.i386 libtiff-3.8.2-11.fc10.i386 libtool-ltdl-1.5.26-4.fc10.i386 libusb-0.1.12-20.fc10.i386 libvorbis-1.2.0-5.fc10.i386 libxcb-1.1.91-5.fc10.i386 libxml2-2.7.3-1.fc10.i386 lm_sensors-3.0.2-1.fc10.i386 lua-5.1.4-1.fc10.i386 net-snmp-libs-5.4.2.1-3.fc10.i386 openssl-0.9.8g-12.fc10.i686 pixman-0.12.0-2.fc10.i386 sane-backends-libs-1.0.19-12.fc10.i386 zlib-1.2.3-18.fc9.i386
(gdb) ) bt
#0  0x001676fa in gnome_scan_module_unload (gmodule=0x8090ac0) at gnome-scan-module.c:154
#1  0x006bf781 in IA__g_type_module_unuse (module=0x8090ac0) at gtypemodule.c:305
#2  0x00166e9b in gnome_scan_module_manager_unload_modules (manager=0x8077460)
    at gnome-scan-module-manager.c:225
#3  0x00168d91 in gnome_scan_exit () at gnome-scan-init.c:127
#4  0x0804a587 in main (argc=0, argv=0x60206002) at flegita.c:121
Comment 4 Deji Akingunola 2009-07-10 08:05:14 EDT
Hello,

Upstream thinks this bug has been fixed in gnome-scan-0.6.2 (which is available in Fedora 10). Can you please upgrade to 0.6.2 (if you have not done so already) and confirm if it fixes the bug for you? Thanks.
Comment 5 Joachim Backes 2009-07-10 09:46:29 EDT
Actually I'm running F11, current flegita is gnome-scan-0.6.2-1.fc11.i586.

I can confirm the fix. Thanks.
Comment 6 Deji Akingunola 2009-07-10 09:52:10 EDT
Thanks for the confirmation.

Note You need to log in before you can comment on or make changes to this bug.